For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETSearch features
      • GETSearch change requests
13.5kProductPricingSign inStart free trialBook a demo
Admin APISearch

Search change requests

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/search/change-requests
GET
/api/admin/search/change-requests
$curl https://app.unleash-instance.example.com/api/admin/search/change-requests \
> -H "Authorization: <apiKey>"
1{
2 "changeRequests": [
3 {
4 "id": 1368,
5 "title": "Increase rollout to 65%",
6 "environment": "production",
7 "project": "dx",
8 "createdBy": {
9 "id": 42,
10 "username": "Tymek Czech",
11 "imageUrl": "https://gravatar.com/avatar/8f5a1ce5f210eb56f8d9a2ba1a5940c224c916d5e91159d4036fb46cc6d059dd?s=42&d=retro&r=g"
12 },
13 "createdAt": "2025-04-30T13:04:48.482Z",
14 "features": [
15 "feature-a",
16 "feature-b"
17 ],
18 "segments": [
19 "segment-a",
20 "segment-b"
21 ],
22 "state": "Applied"
23 }
24 ],
25 "total": 42
26}

Enterprise feature

Search and filter change requests by creator and approver.

Was this page helpful?
Previous

Validates if a segment name exists

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Query parameters

createdBystringOptional
Filter by change request creator user ID
requestedApproverIdstringOptional
Filter by requested approver user ID
stateenumOptional

Filter by open / closed change requests. Change requests that are in ‘draft’, ‘in review’, ‘approved’, or ‘scheduled’ states are considered open. Change requests that are in ‘cancelled’, ‘applied’, or ‘rejected’ states are considered closed.

Allowed values:
offsetintegerOptional>=0Defaults to 0
The number of change requests to skip when returning a page. By default it is set to 0.
limitintegerOptional1-1000Defaults to 50
The number of change requests to return in a page. By default it is set to 50. The maximum is 1000.

Response

changeRequestSearchResponseSchema
changeRequestslist of objects
List of change requests matching the search criteria.
totaldouble
Total number of change requests matching the search criteria.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error